package it.finanze.dogane.accise.combo;

import java.math.BigInteger;

import it.finanze.dogane.accise.util.StringUtil;

public class TipoPeriodo extends AbstractTipo {

	public String getSeparator() {
		return ";";
	}
	
	public String toString(){
		return  this.getDescrizione();
	}

	public String getCodicePeriodo() {
		String retvalue = StringUtil.nullify(getCodice());
		if(retvalue != null) {
			retvalue = retvalue.substring(0,1);
		}
		return retvalue;
	}

	public BigInteger getDataInizio() {
		BigInteger retvalue = null;
		String tmp = StringUtil.nullify(getCodice());
		if(tmp != null) {
			tmp = tmp.substring(1,5);
			retvalue = new BigInteger(tmp);
		}
		return retvalue;
	}

	public BigInteger getDataFine() {
		BigInteger retvalue = null;
		String tmp = StringUtil.nullify(getCodice());
		if(tmp != null) {
			tmp = tmp.substring(5,9);
			retvalue = new BigInteger(tmp);
		}
		return retvalue;
	}
	
}
