package it.finanze.dogane.accise.ui;

import java.awt.Toolkit;

/**
 * Questa classe  utile a restituire informazioni relative
 * alla dimensione e alla posizione che dovrebbero avere i componenti.
 */
public class RealDim {

	public static final int RELATIVE_XDIM = 800;
	public static final int RELATIVE_YDIM = 600;


	private static final int absoluteXDim = Toolkit.getDefaultToolkit().getScreenSize().width;
	private static final int absoluteYDim = Toolkit.getDefaultToolkit().getScreenSize().height;
	
	

	public static int getAbsoluteXValue(int relativeXValue) {
		return (int)(((double)relativeXValue/(double)RELATIVE_XDIM)*(double)absoluteXDim);
		
	}

	public static int getAbsoluteYValue(int relativeYValue) {
		return (int)(((double)relativeYValue/(double)RELATIVE_YDIM)*(double)absoluteYDim);
	}

	public static int getAbsoluteXDim() {
		return absoluteXDim;
	}

	public static int getAbsoluteYDim() {
		return absoluteYDim;
	}

}
