package it.finanze.dogane.accise.ui.actions;


import javax.swing.Action;

/**
 * Represents the About Action.
 *
 */
public class ExitAction extends BaseAbstractAction {
    
    private static final String ACTION_COMMAND_KEY_EXIT = "exit-command";
    private static final String NAME_EXIT = "Uscita";
	private static final String SMALL_ICON_EXIT = "Close.gif";
	private static final String LARGE_ICON_EXIT = "Close.gif";
    private static final String SHORT_DESCRIPTION_EXIT = "Uscita dall'applicazione";
    private static final String LONG_DESCRIPTION_EXIT = "Uscita dall'applicazione";
    private static final int MNEMONIC_KEY_EXIT = 'U';
    
    /**
     * ctor
     */
    public ExitAction() {
        putValue(Action.NAME, NAME_EXIT);
        putValue(Action.SMALL_ICON, getIcon(SMALL_ICON_EXIT));
        putValue(LARGE_ICON, getIcon(LARGE_ICON_EXIT));
        putValue(Action.SHORT_DESCRIPTION, SHORT_DESCRIPTION_EXIT);
        putValue(Action.LONG_DESCRIPTION, LONG_DESCRIPTION_EXIT);
        putValue(Action.MNEMONIC_KEY, new Integer(MNEMONIC_KEY_EXIT));
        putValue(Action.ACTION_COMMAND_KEY, ACTION_COMMAND_KEY_EXIT);
    }

}
