package it.finanze.dogane.accise.ui.pedal;

import java.awt.Graphics2D;

import org.jpedal.PageOffsets;
import org.jpedal.render.DynamicVectorRenderer;


public class SingleDisplay extends org.jpedal.SingleDisplay {

	PdfDecoder pdf;

	public SingleDisplay(PdfDecoder pdfDecoder) {
		super(null);
		this.pdf = pdfDecoder;
	}

	public SingleDisplay(int pageNumber,int pageCount,DynamicVectorRenderer currentDisplay) {
		super(pageNumber, pageCount, currentDisplay);
	}

	public void setup(boolean useAcceleration, PageOffsets currentOffset, PdfDecoder pdf){
		super.setup(useAcceleration, currentOffset, null);

		this.pdf=pdf;
	}
	
	/**
	 * Si evita di utilizzare l'accellerazione e non si genera una eccezione di NullPointer
	 * Purtroppo nel codice di JPedal  stato lasciata una System.out.println("a") che non si
	 * pu eliminare....
	 */
	protected void createBackBuffer() {

	}
}
