package it.finanze.dogane.accise.pdf;

public class DataFirmaPiePagina implements PageEndWriterInterface {

	public void write(PdfBuilder pdfBuilder) {
		// Stampa data e firma
		int fontSize = 12;
		int justAnotherSpace = 20;
		
		boolean isNewPageCheckEnabled = pdfBuilder.isNewPageCheckEnabled();

		pdfBuilder.setNewPageCheckEnabled(false);
		pdfBuilder.setYPen(pdfBuilder.getDimension().height - PdfBuilder.BOTTOM + justAnotherSpace);
		pdfBuilder.writeLeftLabel("Data", fontSize);
		pdfBuilder.writeLeftLabel("________", fontSize);
		pdfBuilder.setYPen(pdfBuilder.getDimension().height - PdfBuilder.BOTTOM + justAnotherSpace);
		pdfBuilder.writeRightLabel("Firma", fontSize);
		pdfBuilder.writeRightLabel("________________________", fontSize);
		pdfBuilder.setNewPageCheckEnabled(isNewPageCheckEnabled);
	}

}
