package it.finanze.dogane.accise.pdf;

/**
 * Questa interfaccia viene utilizzata dal PdfBuilder quando si richiede una nuova pagina oppure si chiude
 * il documento. In questo caso se  stato impostato il  PageEndWriterInterface per la pagina corrente si richiama
 * il metodo write prima di crearne una nuova.
 */
public interface PageEndWriterInterface {

	public void write(PdfBuilder pdfBuilder);

}
