/*
 * Creato il 9-feb-09
 *
 * Per modificare il modello associato a questo file generato, aprire
 * Finestra&gt;Preferenze&gt;Java&gt;Generazione codice&gt;Codice e commenti
 */
package it.finanze.dogane.accise.risorse;



import it.finanze.dogane.accise.aautotrasportatori.model.DatiContabiliObject;

import java.io.*;
import java.net.URL;
import java.util.ArrayList;
import java.util.List;

/**
 * @author nsidev66
 *
 * Per modificare il modello associato al commento di questo tipo generato, aprire
 * Finestra&gt;Preferenze&gt;Java&gt;Generazione codice&gt;Codice e commenti
 */
public class Risorse {
	
	private static Risorse instance = new Risorse();	
	
	private static final String cartellaRisorse ="risorse"; 
	private static final String filePeriodi ="PERIODI.TXT";	
	
	
	
	private List listDatiContabili = null;
	
	private Risorse() {}

	public static Risorse getInstance() {
			return instance;
	}
	
	private List initDatiContabili(){
		
		List listDatiContabili = new ArrayList();
		
		
		URL url = getClass().getClassLoader().getResource("it/finanze/dogane/accise/combo/values/periodi/PERIODI.TXT");
		InputStream is;
		try {
			
			is = url.openStream();		
			BufferedReader reader =	new BufferedReader(new InputStreamReader(is));
		
						
				/*
				FileReader fileReader;
				BufferedReader reader;
				try {
					fileReader = new FileReader(cartellaRisorse+File.separator+filePeriodi);

					reader =
						new BufferedReader(fileReader);*/

					String strPeriodi = null;
					
					
					
					while ( (strPeriodi = reader.readLine()) != null) {
						
						if(!strPeriodi.equalsIgnoreCase("")){
						
							
							String[]arrayPeriodi = strPeriodi.split("#");
							DatiContabiliObject datiContabiliObject = new DatiContabiliObject();
							int progressivo = 0;
							datiContabiliObject.setProgressivoRiga(Integer.valueOf(arrayPeriodi[progressivo++]));
							datiContabiliObject.setAnno(Integer.valueOf(arrayPeriodi[progressivo++]));
							datiContabiliObject.setPeriodoDiRiferimento(arrayPeriodi[progressivo++]);
							datiContabiliObject.setDescrDa(arrayPeriodi[progressivo++]);
							datiContabiliObject.setDescrA(arrayPeriodi[progressivo++]);
							datiContabiliObject.setPeriodoDa(arrayPeriodi[progressivo++]);
							datiContabiliObject.setPeriodoA(arrayPeriodi[progressivo++]);
							datiContabiliObject.setAliquota(Double.valueOf(arrayPeriodi[progressivo++]));
							datiContabiliObject.setDecreto(arrayPeriodi[progressivo++]);			
							datiContabiliObject.setNumeroPeriodo(Integer.valueOf(arrayPeriodi[progressivo++]));	
														
								
							listDatiContabili.add(datiContabiliObject);
						}
					}

					
				} catch (IOException e) {
					e.printStackTrace();
					throw new RuntimeException("Problema IO");
				}
				catch (ArrayIndexOutOfBoundsException e) {
					e.printStackTrace();
					throw new RuntimeException("File 'PERIODI.TXT' non formattato correttamente: riga incompleta ");
				}
				catch (NumberFormatException e) {
					e.printStackTrace();
					throw new RuntimeException("File 'PERIODI.TXT' non formattato correttamente: la stringa non pu essere convertita in numero ");
				}
				
				
				return listDatiContabili;

				
		
	}

	/**
	 * @return
	 */
	public  List getListDatiContabili() {
		
		if(listDatiContabili == null)
			return initDatiContabili();
			
		return listDatiContabili;
	}

	

}
