package it.finanze.dogane.accise.ui;

import it.finanze.dogane.accise.model.Prospect;
import it.finanze.dogane.accise.ui.actions.AboutAction;
import it.finanze.dogane.accise.ui.actions.BaseAbstractAction;
import it.finanze.dogane.accise.ui.actions.InterchangeAction;

import java.awt.Component;
import java.io.BufferedReader;
import java.io.File;
import java.io.FileWriter;
import java.io.IOException;
import java.io.InputStream;
import java.io.InputStreamReader;
import java.io.OutputStream;
import java.net.URL;

import javax.swing.Icon;
import javax.swing.JOptionPane;


public class GestoreEventiGenerale {
	
	

	public static void exitApplication() {
		System.exit(0);
	}
	
	public static void showGuida() {
				
		URL url = ClassLoader.getSystemClassLoader().getResource("it/finanze/dogane/accise/combo/values/periodi/GuidaAgevolAutotrasportatori2008.chm");
		
		Process p = null;
		try {
			p = Runtime.getRuntime().exec("hh.exe");
		} catch (IOException e3) {
				
			e3.printStackTrace();
		}
		
		

		
			
		


		
	}

	public static void showHelp(Component component, AboutAction aboutAction) {
		JOptionPane.showMessageDialog(component, 
			aboutAction.getLongDescription(),
			aboutAction.getShortDescription(),
			JOptionPane.INFORMATION_MESSAGE,
			(Icon)aboutAction.getValue(BaseAbstractAction.LARGE_ICON));
	}

	public static boolean saveProspect(Component component, Prospect prospettoConsumo) {
		boolean retvalue = false;
		try {
			retvalue = prospettoConsumo.getResourceAccess().saveFile(component);
			if(retvalue == true) {
				JOptionPane.showMessageDialog(component, 
					"Salvataggio completato",
					"Ok",
					JOptionPane.INFORMATION_MESSAGE);
			}

		} catch (Exception e) {
			e.printStackTrace();
			JOptionPane.showMessageDialog(component, 
				"Errore durante il salvataggio del file: \n" + e.getMessage(),
				"Errore",
				JOptionPane.ERROR_MESSAGE);
		}
		return retvalue;
	}

	public static boolean saveProspectInterchange(Component component, Prospect prospettoInterchange,String fileName) {
		boolean retvalue = false;
		try {
			retvalue = prospettoInterchange.getResourceAccess().saveFileInterchange(component,fileName);
			if(retvalue == true) {
				JOptionPane.showMessageDialog(component, 
					"Salvataggio completato." ,
					"Ok",
					JOptionPane.INFORMATION_MESSAGE);
			}
		} catch (Exception e) {
			e.printStackTrace();
			JOptionPane.showMessageDialog(component, 
				"Errore durante il salvataggio del file: \n" + e.getMessage(),
				"Errore",
				JOptionPane.ERROR_MESSAGE);
		}
		return retvalue;
	}
	/**
	 * @param component
	 * @param prospettoConsumo
	 */
	public static boolean saveAsProspect(Component component, Prospect prospettoConsumo) {
		boolean retvalue = false;
		try {
			retvalue = prospettoConsumo.getResourceAccess().saveAsFile(component);
			if(retvalue == true) {
				JOptionPane.showMessageDialog(component, 
					"Salvataggio completato",
					"Ok",
					JOptionPane.INFORMATION_MESSAGE);
			}

		} catch (Exception e) {
			e.printStackTrace();
			JOptionPane.showMessageDialog(component, 
				"Errore durante il salvataggio del file: \n" + e.getMessage(),
				"Errore",
				JOptionPane.ERROR_MESSAGE);
		}
		return retvalue;
	}
}
