package it.finanze.dogane.accise.ui;


import java.awt.Color;
import java.awt.Dimension;
import java.awt.Font;
import java.awt.FontMetrics;
import java.awt.Graphics;
import java.awt.event.FocusEvent;
import java.awt.event.FocusListener;
import java.awt.event.MouseEvent;
import java.awt.event.MouseListener;

import javax.swing.JComponent;
import javax.swing.JPanel;

public class GrayGlassPane extends JComponent {

	private Color color = null;
	private String message = "Elaborazione in corso. Attendere prego";

	public GrayGlassPane() {
		setVisible(true);
		setOpaque(true);
		
		JPanel panel = new JPanel();
		color = panel.getBackground(); // Tanto per prendermi il colore!
	}
	
	protected void paintComponent(Graphics g) {
		
		g.setColor(color);
		g.fillRect(0, 0, RealDim.getAbsoluteXValue(800), RealDim.getAbsoluteXValue(600));

		Font font = this.getFont();
		FontMetrics fontMetrics = this.getFontMetrics(font);
		int width = fontMetrics.stringWidth(message);

		
		g.setColor(Color.BLACK);
		g.drawString(message, RealDim.getAbsoluteXValue((800-width)/2), RealDim.getAbsoluteXValue(300));
	}

}
