package it.finanze.dogane.accise.ui.actions;


import javax.swing.Action;

/**
 * Represents the About Action.
 *
 */

public class HelpAction extends BaseAbstractAction {
    
    private static final String ACTION_COMMAND_KEY_ABOUT = "help-command";
    private static final String NAME_ABOUT = "Guida autotrasportatori";
    private static final String SMALL_ICON_ABOUT = "help.gif";
    private static final String LARGE_ICON_ABOUT = "help.gif";
	private static final String SHORT_DESCRIPTION_HELP = "Guida";
	private static final String LONG_DESCRIPTION_HELP = "Guida autotrasportatori";
    private static final int MNEMONIC_KEY_ABOUT = 'H';
    
    /**
     * ctor
     */
    public HelpAction() {
        putValue(Action.NAME, NAME_ABOUT);
        putValue(Action.SMALL_ICON, getIcon(SMALL_ICON_ABOUT));
        putValue(LARGE_ICON, getIcon(LARGE_ICON_ABOUT));
		putValue(Action.SHORT_DESCRIPTION, SHORT_DESCRIPTION_HELP);
		putValue(Action.LONG_DESCRIPTION, LONG_DESCRIPTION_HELP);
        putValue(Action.MNEMONIC_KEY, new Integer(MNEMONIC_KEY_ABOUT));
        putValue(Action.ACTION_COMMAND_KEY, ACTION_COMMAND_KEY_ABOUT);

		
    }

}
