package it.finanze.dogane.accise.ui.quadri;

/**
 * Rappresenta una etichetta della lista da cui sono richiamabili i quadri
 * Ha tre metodi:
 * - getDescription() restituisce la stringa che individua il quadro
 * - isEmpty() indica se il quadro ha degli elementi al suo interno
 * - isComplex() indica se si tratta di un Quadro che ha la gestione complessa (Per i capitoli e i mesi ad esempio) 
 */
public interface EtichettaQuadro {

	public String getDescription();
	public boolean isEmpty();
	public boolean isComplex();
}
